Skip to content

Verify Email

POST
/auth/verify-email
curl --request POST \
--url https://example.com/auth/verify-email \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "verification_code": "example" }'

Verify user email with 6-digit code. On success, auto-issue auth cookies so user proceeds directly to onboarding.

Media typeapplication/json
VerifyEmailRequest
object
email
required
Email
string
verification_code
required
Verification Code
string
Examplegenerated
{
"email": "example",
"verification_code": "example"
}

Successful Response

Media typeapplication/json
VerificationResponse
object
verified
required
Verified
boolean
user_id
Any of:
string
message
required
Message
string
auto_logged_in
Any of:
boolean
registration_stage
Any of:
string
registration_steps
Any of:
Array
stage_changed
Any of:
boolean
Examplegenerated
{
"verified": true,
"user_id": "example",
"message": "example",
"auto_logged_in": true,
"registration_stage": "example",
"registration_steps": [
"example"
],
"stage_changed": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}